:root {
  --font-family-base: "Manrope", sans-serif;
  --bg-second: #110d24;
}

body {
  position: relative;
  font-family: var(--font-family-base);
  font-size: 18px;
  font-weight: 400;
  line-height: 1.5;
  color: #c6c6c6;
  background-color: #07060f;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-image: url(../img/bg-hero.webp);
    background-position: top;
    background-repeat: no-repeat;
  }
}

h1,
h2 {
  font-size: 35px;
  font-weight: 800;
}

h3 {
  font-size: 25px;
  font-weight: 500;
}

h4 {
  font-size: 20px;
  font-weight: 600;
}

.wrapper {
  min-height: 100dvh;
  display: flex;
  flex-direction: column;
  overflow: clip;

  main {
    flex-grow: 1;
  }
}

.container {
  max-width: 1511px;
  width: 100%;
  margin-inline: auto;
  padding-inline: 30px;
}

.flex-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

.highlight {
  background: linear-gradient(270deg, #d400ff 0%, #5e00ff 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.btn {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 166px;
  width: 100%;
  height: 44px;
  padding: 8px 24px;
  font-weight: 600;
  line-height: 1.35;
  letter-spacing: -0.18px;
  text-transform: capitalize;
  color: currentColor;

  border-radius: 24px;
  border: 1px solid #aeb1ff;
  cursor: pointer;
  overflow: hidden;

  background: radial-gradient(
    408% 48% at 50% 41%,
    #7664ff 0%,
    #5c4dcb 50%,
    #413697 100%
  );
  transition: scale 0.3s, box-shadow 0.3s;
  z-index: 1;

  &::before {
    content: "";
    position: absolute;
    inset: 0;
    background: #34206e;
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: -1;
  }

  &:hover {
    box-shadow: 0 8px 24px rgba(139, 92, 246, 0.4);
    scale: 1.03;

    &::before {
      opacity: 1;
    }
  }

  span {
    position: relative;
    z-index: 2;

    background: linear-gradient(
      84deg,
      rgba(255, 255, 255, 0.7) -11.1%,
      #fff 104%
    );
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
}

.visibility-hidden {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  margin: -1px !important;
  border: 0 !important;
  padding: 0 !important;
  white-space: nowrap !important;
  clip-path: inset(100%) !important;
  clip: rect(0 0 0 0) !important;
  overflow: hidden !important;
}

@keyframes levitation {
  0% {
    translate: 0 0;
    filter: drop-shadow(0 15px 15px rgba(106, 76, 255, 0.3));
  }
  50% {
    translate: 0 -20px;
    filter: drop-shadow(0 5px 10px rgba(106, 76, 255, 0.15));
  }
  100% {
    translate: 0 0;
    filter: drop-shadow(0 15px 15px rgba(106, 76, 255, 0.3));
  }
}
/* #region MEDIA QUERIES */

@media (width < 1200px) {
  .container {
    max-width: 1024px;
  }
}

@media (width < 768px) {
  .container {
    max-width: 100%;
    padding-inline: 16px;
  }
}

/* #endregion MEDIA QUERIES */
